import { NoViableAltException, Parser, DefaultErrorStrategy, ANTLRErrorListener, Recognizer, RecognitionException } from 'antlr4ts';
export declare class RpsErrorStrategy extends DefaultErrorStrategy {
    reportNoViableAlternative(recognizer: Parser, e: NoViableAltException): void;
}
export declare class ErrorCollectorListener implements ANTLRErrorListener<any> {
    syntaxError<T>(recognizer: Recognizer<T, any>, offendingSymbol: T, line: number, charPositionInLine: number, msg: string, e: RecognitionException): void;
}
