import ConfigStore from 'configstore';
import { RpsActionModel, RpsModuleModel } from 'rpscript-interface';
export declare class KeywordsMgr {
    readonly CONFIG_NAME: string;
    configStore: ConfigStore;
    constructor();
    saveModuleKeywords(moduleName: string, modClazz: Function): void;
    updateModule(mod: RpsModuleModel, actionConfigs: RpsActionModel[]): void;
    updateDefaults(moduleName: string, clazzActions: RpsActionModel[]): void;
    removeModuleDefaults(moduleName: string): void;
    getDefaultActions(): any;
    selectBestFitByPriority(settings: RpsActionModel[]): RpsActionModel;
    private extractClazzActions(modClazz, moduleName);
    isValidKeyword(keyword: string): boolean;
    getKeywordsModules(keywords: string[]): Array<string>;
}
